__gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >(3)

NAME
__gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare > - Stable unguarded _LoserTree variant storing pointers.

SYNOPSIS

Inherits __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >.

  Public Member Functions
_LoserTreePointerUnguarded (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
void __delete_min_insert (const _Tp &__key, bool __sup)
int __get_min_source ()
void __init ()
unsigned int __init_winner (unsigned int __root)
void __insert_start (const _Tp &__key, int __source, bool)

  Protected Attributes
unsigned int _M_ik
unsigned int _M_offset

Detailed Description

  template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >" Stable unguarded _LoserTree variant storing pointers. Unstable variant is implemented below using partial specialization.

Definition at line 891 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.